<div class="main-bank">
  <div class="bank-top-row">
    <h1>BANKS</h1>
  </div>

  <div class="button-row">
    <dx-button class="add" icon="plus" text="Add Routing"></dx-button>
    <dx-button class="update" icon="edit" text="Update Routing"></dx-button>
    <dx-button class="delete" (click)="deleteBank(10)" icon="trash" text="Delete Routing"></dx-button>
  </div>
  <div class="gridview">

    <dx-data-grid id="gridContainer"
                  [dataSource]="dataSource"
                  [remoteOperations]="false"
                  [allowColumnReordering]="true"
                  [showBorders]="true"
                  [hoverStateEnabled]="true"
                  [selectedRowKeys]="[]"
                  (onContentReady)="contentReady($event)">

      <dxo-paging [pageSize]="25"></dxo-paging>
      <dxo-pager
        [showPageSizeSelector]="true"
        [allowedPageSizes]="[10, 25, 50, 100]"
      ></dxo-pager>
      <dxo-search-panel
        [visible]="true"
        [highlightCaseSensitive]="true"
      ></dxo-search-panel>
      <dxo-group-panel
        [visible]="true"
      ></dxo-group-panel>
      <dxo-grouping
        [autoExpandAll]="false">

      </dxo-grouping><dxi-column dataField="BANKNAME" caption="Bank Name" dataType="date"></dxi-column>
      <dxi-column dataField="BRANCH" caption="Bank Branch" dataType="string"></dxi-column>
      <dxi-column dataField="ADDRESS" caption="Bank Address" dataType="string"></dxi-column>
      <dxi-column dataField="ROUTING" caption="RoutingNumber" dataType="string"></dxi-column>
      <dxi-column dataField="TRANSITSYMBOL" caption="Transit Symbol" dataType="string" [width]="150"></dxi-column>
      <dxi-column dataField="BRANCHCODE" caption="Branch Code" dataType="string" [width]="150"></dxi-column>
      <dxi-column dataField="TYPE" caption="Bank Type" dataType="string" [width]="150"></dxi-column>
    </dx-data-grid>
  </div>








<!--  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">-->

<!--    <ng-container matColumnDef="BANKNAME">-->
<!--      <th mat-header-cell *matHeaderCellDef> Bank Name</th>-->
<!--      <td mat-cell *matCellDef="let element"> {{element.BANKNAME}} </td>-->
<!--    </ng-container>-->
<!--    <ng-container matColumnDef="ROUTING">-->
<!--      <th mat-header-cell *matHeaderCellDef> Routing #</th>-->
<!--      <td mat-cell *matCellDef="let element"> {{element.ROUTING}} </td>-->
<!--    </ng-container>-->

<!--    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>-->
<!--    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>-->
    <!--    <ng-container matColumnDef="displayName">-->
    <!--      <th mat-header-cell *matHeaderCellDef> Display Name </th>-->
    <!--      <td mat-cell *matCellDef="let element"> {{element.displayName}} </td>-->
    <!--    </ng-container>-->


    <!--    <ng-container matColumnDef="accountNumber">-->
    <!--      <th mat-header-cell *matHeaderCellDef> Account # </th>-->
    <!--      <td mat-cell *matCellDef="let element"> {{element.accountNumber}} </td>-->
    <!--    </ng-container>-->


    <!--    <mat-paginator #paginator [pageSize]="pageSize" [pageSizeOptions]="[5, 10, 20]" [showFirstLastButtons]="true" [length]="totalSize"-->
    <!--                   [pageIndex]="currentPage" (page)="pageEvent = handlePage($event)">-->
    <!--    </mat-paginator>-->

<!--  </table>-->
</div>




